From f0bd14d97f905c4ac666218362aa22addefac5a1 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 26 2020 00:39:42 +0000
Subject: [PATCH 933/2232] Merge pull request #326 from dtolnay/run_binary


Switch Bazel rules from genrule to run_binary
---

diff --git a/tools/bazel/rust_cxx_bridge.bzl b/tools/bazel/rust_cxx_bridge.bzl
index 7f3f958..497061d 100644
--- a/tools/bazel/rust_cxx_bridge.bzl
+++ b/tools/bazel/rust_cxx_bridge.bzl
@@ -1,3 +1,4 @@
+load("@bazel_skylib//rules:run_binary.bzl", "run_binary")
 load("@rules_cc//cc:defs.bzl", "cc_library")
 
 def rust_cxx_bridge(
@@ -6,20 +7,29 @@ def rust_cxx_bridge(
         include_prefix = None,
         strip_include_prefix = None,
         deps = []):
-    native.genrule(
+    run_binary(
         name = "%s/header" % name,
         srcs = [src],
         outs = [src + ".h"],
-        cmd = "$(location //:codegen) --header $< > $@",
-        tools = ["//:codegen"],
+        args = [
+            "$(location %s)" % src,
+            "-o",
+            "$(location %s.h)" % src,
+            "--header",
+        ],
+        tool = "//:codegen",
     )
 
-    native.genrule(
+    run_binary(
         name = "%s/source" % name,
         srcs = [src],
         outs = [src + ".cc"],
-        cmd = "$(location //:codegen) $< > $@",
-        tools = ["//:codegen"],
+        args = [
+            "$(location %s)" % src,
+            "-o",
+            "$(location %s.cc)" % src,
+        ],
+        tool = "//:codegen",
     )
 
     cc_library(

